microsoft-foundry.rest.security.o-auth2-auth
Indexes
Get a version
GET
/indexes/{name}/versions/{version}
Get the specific version of the Index. The service returns 404 Not Found error if the Index does not exist.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Parametry cesty
name
string
vyžadováno
The name of the resource
version
string
vyžadováno
The specific version id of the Index to retrieve.
Odpovědi
The request has succeeded.
Text
Content-Type: application/json
Jeden z následujících:
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
vyžadováno
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
vyžadováno
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
vyžadováno
Type of index
CosmosDBNoSqlVectorStore
Žádost
GET /indexes/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json